OpenTTD GameScript API: GSEventStationFirstVehicle Class Reference

OpenTTD GameScript API 1.11.1

Public Member Functions | Static Public Member Functions
GSEventStationFirstVehicle Class Reference

Event Station First Vehicle, indicating a station has been visited by a vehicle for the first time. More...

Inheritance diagram for GSEventStationFirstVehicle:

## Public Member Functions
| GSEventStationFirstVehicle (StationID station, VehicleID vehicle)
StationID | GetStationID ()
| Get the StationID of the visited station. More...
VehicleID | GetVehicleID ()
| Get the VehicleID of the first vehicle. More...
Public Member Functions inherited from GSEvent
| GSEvent (GSEvent::GSEventType type)
| Constructor of GSEvent, to get the type of event.
GSEventType | GetEventType ()
| Get the event-type. More...

## Static Public Member Functions
static GSEventStationFirstVehicle * | Convert (GSEvent *instance)
| Convert an GSEvent to the real instance. More...

## Additional Inherited Members
Public Types inherited from GSEvent
enum | GSEventType { ET_INVALID, ET_TEST, ET_SUBSIDY_OFFER, ET_SUBSIDY_OFFER_EXPIRED, ET_SUBSIDY_AWARDED, ET_SUBSIDY_EXPIRED, ET_ENGINE_PREVIEW, ET_COMPANY_NEW, ET_COMPANY_IN_TROUBLE, ET_COMPANY_ASK_MERGER, ET_COMPANY_MERGER, ET_COMPANY_BANKRUPT, ET_VEHICLE_CRASHED, ET_VEHICLE_LOST, ET_VEHICLE_WAITING_IN_DEPOT, ET_VEHICLE_UNPROFITABLE, ET_INDUSTRY_OPEN, ET_INDUSTRY_CLOSE, ET_ENGINE_AVAILABLE, ET_STATION_FIRST_VEHICLE, ET_DISASTER_ZEPPELINER_CRASHED, ET_DISASTER_ZEPPELINER_CLEARED, ET_TOWN_FOUNDED, ET_AIRCRAFT_DEST_TOO_FAR, ET_ADMIN_PORT, ET_WINDOW_WIDGET_CLICK, ET_GOAL_QUESTION_ANSWER, ET_EXCLUSIVE_TRANSPORT_RIGHTS, ET_ROAD_RECONSTRUCTION, ET_VEHICLE_AUTOREPLACED, ET_STORYPAGE_BUTTON_CLICK, ET_STORYPAGE_TILE_SELECT, ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...

## Detailed Description

Event Station First Vehicle, indicating a station has been visited by a vehicle for the first time.

## Constructor & Destructor Documentation

## ◆ GSEventStationFirstVehicle()

GSEventStationFirstVehicle::GSEventStationFirstVehicle | ( | StationID | station,
|  | VehicleID | vehicle
| ) |  |

Parameters

  station | The station visited for the first time.
  vehicle | The vehicle visiting the station.

## Member Function Documentation

## ◆ Convert()

static GSEventStationFirstVehicle* GSEventStationFirstVehicle::Convert | ( | GSEvent * | instance | ) |
| inlinestatic

Convert an GSEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetStationID()

StationID GSEventStationFirstVehicle::GetStationID | ( |  | ) |
| inline

Get the StationID of the visited station.

Returns
  The StationID of the visited station.

## ◆ GetVehicleID()

VehicleID GSEventStationFirstVehicle::GetVehicleID | ( |  | ) |
| inline

Get the VehicleID of the first vehicle.

Returns
  The VehicleID of the first vehicle.